## mx4j.log
Class Log4JLogger

    java.lang.Object
      mx4j.log.Logger
          mx4j.log.Log4JLogger

public class Log4JLogger
extends Logger

Log that redirects log calls to a Log4J Logger.

Version:
  $Revision: 1.7 $
See Also:
  `at Apache's Log4J`

Field Summary

Fields inherited from class mx4j.log.Logger
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`Log4JLogger()` This constructor is called to create instances of this Logger, following the prototype pattern.

Method Summary
`protected org.apache.log4j.Level` `convertPriority(int mx4jPriority)` Converts MX4J priority to Log4J priority
`protected void` `log(int priority, java.lang.Object message, java.lang.Throwable t)`
`protected void` `setCategory(java.lang.String category)`

Methods inherited from class mx4j.log.Logger
`debug, debug, error, error, fatal, fatal, getCategory, getPriority, info, info, isEnabledFor, setPriority, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4JLogger

    public Log4JLogger()

  This constructor is called to create instances of this Logger, following the prototype pattern.

Method Detail

### setCategory

    protected void setCategory(java.lang.String category)

  Overrides:
    `setCategory` in class `Logger`

### log

    protected void log(int priority,
                       java.lang.Object message,
                       java.lang.Throwable t)

  Overrides:
    `log` in class `Logger`

### convertPriority

    protected org.apache.log4j.Level convertPriority(int mx4jPriority)

  Converts MX4J priority to Log4J priority

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.